
%define api		1.0
%define major		1
%define libname		%mklibname girepository %{api} %{major}
%define develname	%mklibname -d girepository

Summary:	GObject Introspection
Name:		gobject-introspection
Version:	1.74.0
Release:	%mkrel 1
Source0:	%{name}-%version.tar.xz
Patch0:		0001-Fix-linking-against-python3.patch
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Projects/GObjectIntrospection

BuildRequires:  meson
BuildRequires:  libffi-devel
BuildRequires:  libglib2.0-devel
BuildRequires:  python3-devel
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  gnome-common
BuildRequires:  libtool
BuildRequires:  multiarch-utils

#---------------------------------------------------------------
%if "%{_lib}" == "lib64"
%define mark64 ()(64bit)
%else
%define mark64 %nil
%endif


%description
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %{libname}
Group:		System/Libraries
Summary:	GObject Introspection shared library
Conflicts:	%{name} < 0.6.8-2
Requires:	%{name} >= %{version}

%description -n %{libname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

#---------------------------------------------------------------
%package -n %{develname}
Group:          Development/Libraries
Summary:        GObject Introspection development libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       libgirepository-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       libtool


%description -n %{develname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

#---------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
%meson
%meson_build

%install
%meson_install


# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

ln -s g-ir-inspect %{buildroot}%{_bindir}/g-ir-dep-tool

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%doc TODO
%dir %{_libdir}/girepository-%{api}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/giscanner/
%{_bindir}/g-ir-*
%{_datadir}/%{name}-%{api}/
%{_mandir}/man1/g-ir-*

%files -n %{libname}
%{_libdir}/libgirepository-%{api}.so.%{major}*
%{_libdir}/girepository-%{api}/*.typelib

%files -n %{develname}
%{_libdir}/libgirepository-%{api}.so
%{_libdir}/pkgconfig/gobject-introspection-%{api}.pc
%{_libdir}/pkgconfig/gobject-introspection-no-export-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/aclocal/*.m4
%dir %{_datadir}/gir-%{api}
%{_datadir}/gir-%{api}/*.gir
%{_datadir}/gir-%{api}/*.rnc

%changelog
* Tue Sep 20 2022 tex - 1.74.0-1pclos2022
- new version

* Sat Feb 19 2022 TerryN <terryn94 at gmail.com>  1.70.0-1pclos2022
- update and rebuild for python 3.10

* Mon Dec 13 2021 tex - 1.59.1-3pclos2021
- rebuild against updates

* Mon Dec 13 2021 tex - 1.59.1-2pclos2021
- rebuild against updates

* Fri Mar 19 2021 tex - 1.59.1-1pclos2021
- new version

* Sun Sep 13 2020 tex - 1.58.3-2pclos2020
- rebuild against updates

* Fri Mar 01 2019 tex 1.58.3-1plos2019
- new

* Thu Apr 12 2018 bb2 <bb2> - 1.56.1-1pclos2018
- new version

* Mon Oct 02 2017 bb2 <bb2> - 1.54.1-1pclos2017
- new version

* Thu Sep 14 2017 bb2 <bb2> - 1.54.0-1pclos2017
- new version

* Sun May 07 2017 bb2 <bb2> - 1.52.1-1pclos2017
- new version

* Sat Jul 23 2016 bb <bb> - 1.46.0-2pclos2016
- rebuild new libffi

* Sun Sep 27 2015 bb <bb> - 1.46.0-1pclos2015
- update

* Wed Jan 28 2015 bb <bb> - 1.42.0-1pclos2015
- update


